Qnap Failles QNAP et vague d'attaque

schwinny

Chevalier Jedi
6 Janvier 2018
307
126
83

Source: https://www.it-connect.fr/qnap-failles-de-securite-critiques-nas-avril-2024/



Ces failles de sécurité peuvent permettre la compromission de votre NAS QNAP !​

30/04/2024 Florian BURNEL 4 Views Aucun commentaire Cybersécurité, NAS, QNAP, Vulnérabilités 3 min read
Vous utilisez un NAS QNAP ? Veillez à ce qu'il soit à jour, car plusieurs failles de sécurité critiques ont été corrigées ! Elles représentent une menace sérieuse pour votre NAS et vos données. Faisons le point.
En mars dernier, nous avons déjà publié un article au sujet de 3 failles de sécurité critiques découvertes dans le système d'exploitation utilisé par les NAS QNAP. Il s'avère que 3 autres vulnérabilités sont désormais mentionnées dans ce bulletin de sécurité et qu'une autre alerte mentionne 2 failles de sécurité découvertes à l'occasion d'une édition de la compétition de hacking Pwn2Own. L'exploitation de ces vulnérabilités peut permettre à un attaquant d'exécuter des commandes sur le NAS, ce qui pourrait lui permettre de compromettre l'appareil.
Commençons par évoquer les trois failles de sécurité critiques évoquées sur cette page :
https://go.ezodn.com/ads/charity/pr...tps://joinourvillage.org/donate/&ffid=1&co=FR
Ezoic

  • CVE-2024-27124 :
Cette vulnérabilité d'injection de commande pourrait permettre à des utilisateurs d'exécuter des commandes sur le système du NAS, à distance, via le réseau. Elle est associée à un score CVSS de 7.5 sur 10.
  • CVE-2024-32764 :
Cette vulnérabilité donne accès à une fonction critique du système sans authentification et pourrait permettre à des utilisateurs standards (sans privilèges élevés) d'accéder à certaines fonctions et de les utiliser, à distance. Ceci est lié au service myQNAPcloud Link. Elle est associée à un score CVSS de 9.9 sur 10.
"Un défaut de contrôle de l’authentification dans myQNAPcloud Link permet à un attaquant non authentifié, en envoyant des requêtes spécifiquement forgées, d’accéder à certaines fonctionnalités critiques.", peut-on lire sur le site du CERT Santé.
  • CVE-2024-32766 :
Cette vulnérabilité d'injection de commande pourrait permettre à un attaquant non authentifié d'exécuter des commandes arbitraires sur le système du NAS, à distance, via le réseau. Elle est associée à un score CVSS de 10 sur 10.
En plus de ces 3 vulnérabilités, voici 2 autres failles de sécurité importantes patchées il y a quelques jours par QNAP :
  • CVE-2023-51364, CVE-2023-51365 :
Il s'agit de deux vulnérabilités de type "path transversal" permettant à un attaquant de lire le contenu de fichiers protégés, et potentiellement, d'exposer des données sensibles via le réseau. Elles sont associées à un score CVSS de 8.7 sur 10.
https://go.ezodn.com/ads/charity/pr...stle.org.uk/get-involved/donate/&ffid=1&co=FR
https://go.ezodn.com/ads/charity/pr...stle.org.uk/get-involved/donate/&ffid=1&co=FR

Quelles sont les versions affectées ?​

Voici la liste des versions affectées, pour chaque système :
  • QTS 5.x et QTS 4.5.x
  • QuTS hero h5.x et QuTS hero h4.5.x
  • QuTScloud c5.x
  • myQNAPcloud 1.0.x
  • myQNAPcloud Link 2.4.x

Comment se protéger ?​

Pour vous protéger de l'ensemble de ces failles de sécurité, vous devez utiliser l'une de ces versions :
  • QTS 5.1.4.2596 build 20231128 et supérieur
  • QTS 4.5.4.2627 build 20231225 et supérieur
  • QuTS hero h5.1.3.2578 build 20231110 et supérieur
  • QuTS hero h4.5.4.2626 build 20231225 et supérieur
  • QuTScloud c5.1.5.2651 et supérieur
  • myQNAPcloud 1.0.52 (2023/11/24) et supérieur
  • myQNAPcloud Link 2.4.51 et supérieur
En complément, veillez à utiliser un mot de passe robuste sur vos comptes d'accès au NAS (activez le MFA également), sauvegardez régulièrement vos données et limitez les accès au NAS notamment l'exposition de l'appareil sur Internet.
À vos mises à jour !
 
  • J'aime
Réactions: pierre liths
Encore des problème de sécurité c'est fréquent chez QNAP en ce moment ?
 
comme chez l'ensemble des constructeurs.
Si tu met pas a jour, tu te fait défoncer....

les versions correctrices sont sortie en novembre 2023 donc bon....